SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   VMware ESXi Vendors:   VMware
(VMware Issues Fix for VMware ESXi) OpenSSL 'no-ssl3' Build Option Fails to Prevent SSL 3.0 Handshakes
SecurityTracker Alert ID:  1031809
SecurityTracker URL:  http://securitytracker.com/id/1031809
CVE Reference:   CVE-2014-3568   (Links to External Site)
Updated:  Mar 26 2015
Original Entry Date:  Feb 27 2015
Impact:   Host/resource access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): ESXi 5.0, 5.1, 5.5
Description:   A vulnerability was reported in OpenSSL. A remote user can bypass the intended build configuration and use SSL 3.0. VMware ESXi is affected.

The system does not properly enforce the 'no-ssl3' build option. A server built with this option may accept SSL 3.0 sessions. A client built with this option may generate SSL 3.0 sessions.

The vendor was notified on October 14, 2014.

Akamai Technologies reported this vulnerability.

Impact:   A remote user can bypass the intended build configuration and use SSL 3.0.
Solution:   VMware has issued a fix for VMware ESXi.

ESXi 5.5: ESXi550-201501101-SG
ESXi 5.1: ESXi510-201503101-SG
ESXi 5.0: ESXi500-201502101-SG

The VMware advisory is available at:

http://www.vmware.com/security/advisories/VMSA-2015-0001.html

Vendor URL:  www.openssl.org/news/secadv_20141015.txt (Links to External Site)
Cause:   Configuration error

Message History:   This archive entry is a follow-up to the message listed below.
Oct 15 2014 OpenSSL 'no-ssl3' Build Option Fails to Prevent SSL 3.0 Handshakes



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC